package com.neusoft.smart.pos.org.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 集团门店业务错误信息使用枚举类
 */
public enum OrgShopErrorCode implements CommonCode {

    ORG_NAME_IS_NULL("05001", "集团名称为空"),
    ORG_NAME_REPEAT("05002", "名称重复错误"),
    SHOP_NAME_IS_NULL("05003", "门店名称为空"),
    SHOP_NAME_REPEAT("05004", "名称重复错误"),
    SHOP_PROVINCE_IS_NULL("05005", "门店所属省份为空"),
    SHOP_CITY_IS_NULL("05006", "门店所属城市为空"),
    PAYEE_TYPE_IS_NULL("05007", "门店支付类型为空"),
    INVALID_ORG_ID("05008", "无效集团ID"),
    INVALID_SHOP_ID("05009", "无效门店ID"),
    PARAM_IS_NOT_EXIST("05010", "参数不存在"),
    PARAM_IS_NULL("05011", "参数为空"),
    ID_IS_NOT_NUMBER("05012", "ID不是数值型"),
    SHOP_ORG_IS_NULL("05013", "门店所属集团ID为空"),
    ROLE_IS_NULL("05014", "用户角色为空"),
    ORGID_IS_NULL("05014", "用户集团ID为空"),
    ;

    private String code;
    private String message;

    OrgShopErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
